<template>
  <div class="events">
    <div class="events-title">Создание <b> мероприятия </b></div>
    <button class="curve-btn events-create" type="button">
      <div>создать меропритие</div>
    </button>
    <div class="events-desc">Список мероприятий созданных вами:</div>
    <div class="events-materials">
      <div class="events-materials__item">
        <div class="events-materials__item-img">
          <img src="/events/1.jpeg" alt="" />
          <div class="events-materials__item-img-wrapper">
            <div class="events-materials__item-img-favorite">
              <i class="bx bx-heart"></i>
            </div>
            <div class="events-materials__item-img-comments">
              <i class="bx bx-chat"></i> &nbsp; 7
            </div>
          </div>
        </div>
        <div class="events-materials__item-content">
          <div class="events-materials__item-content-slots">
            НМО · Операционное дело
          </div>
          <div class="events-materials__item-content-desc">
            Конференция «Многогранность профессиональной деятельности
            медицинской сестры операционной. Реалии сегодняшнего дня»
          </div>
        </div>
      </div>
      <div class="events-materials__item">
        <div class="events-materials__item-img">
          <img src="/events/2.jpeg" alt="" />
          <div class="events-materials__item-img-wrapper">
            <div class="events-materials__item-img-favorite">
              <i class="bx bx-heart"></i>
            </div>
            <div class="events-materials__item-img-comments">
              <i class="bx bx-chat"></i> &nbsp; 54
            </div>
          </div>
        </div>
        <div class="events-materials__item-content">
          <div class="events-materials__item-content-slots">
            НМО · Реабилитационное сестринское дело
          </div>
          <div class="events-materials__item-content-desc">
            Онлайн-семинар "Определяющая роль среднего медицинского персонала в
            оказании медицинской помощи пациенту гериатрического профиля"
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  layout: "profile",
  middleware: "auth",
};
</script>

<style lang="scss" scoped>
.events {
  margin-left: 20px;
  padding: 20px;
  background-color: #fff;
  box-shadow: 1px 1.732px 10px 0 rgb(0 0 0 / 5%);
  min-height: 70vh;
  width: 100%;
  @include less-than(tablet) {
    margin-left: 0px;
  }

  &-title {
    line-height: 1.3;
    font-size: 36px;
    
    b {
      
    }
  }

  &-create {
    margin: 20px 0;
  }

  &-desc {
    line-height: 1.3;
    font-size: 24px;
    
    margin-top: 20px;
  }

  &-materials {
    margin-top: 20px;
    display: flex;
    overflow: auto;
    white-space: nowrap;
    padding: 20px 10px;
    @include less-than(tablet) {
    }
  }
  &-materials__item {
    display: inline-block;
    max-width: 350px;
    min-height: 350px;
    background-color: #fff;
    border-radius: 25px;
    box-shadow: 0px 1.732px 10px 0 rgb(0 0 0 / 5%);
    overflow: hidden;
    cursor: pointer;
    height: fit-content;
    transition: all ease 0.3s;
    white-space: normal;
    margin-right: 40px;
    &:hover {
      .events-materials__item-img {
        img {
          transform: scale(1.1);
        }
      }
    }
  }
  &-materials__item-img {
    height: 205px;
    overflow: hidden;
    transition: all ease 0.3s;
    border-radius: 25px;
    position: relative;
    img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      transition: all ease 0.3s;
    }
  }
  &-materials__item-img-wrapper {
    position: absolute;
    bottom: 20px;
    right: 15px;
    display: flex;
  }
  &-materials__item-img-favorite {
    padding: 10px;
    background-color: #0c63e4;
    color: #fff;
    border-radius: 10px;
    font-size: 16px;
    display: flex;
    align-items: center;
    transition: all ease 0.3s;
    margin-right: 12px;
    &:hover {
      transform: scale(1.1);
    }
  }
  &-materials__item-img-comments {
    padding: 10px;
    background-color: #fff;
    color: #000;
    border-radius: 10px;
    font-size: 14px;
    display: flex;
    align-items: center;
    transition: all ease 0.3s;
    &:hover {
      transform: scale(1.1);
    }
  }
  &-materials__item-content {
    padding: 20px;
  }
  &-materials__item-content-slots {
    font-size: 14px;
    letter-spacing: 0.04em;
    color: #0c63e4;
    text-underline-offset: 0.2em;
  }
  &-materials__item-content-desc {
    margin-top: 10px;
    font-size: 16px;
    letter-spacing: 0.02em;
    line-height: 1.6;
  }
}
</style>
